## pdns 4.9.1

=== debian/changelog ===
pdns (4.9.1-3) unstable; urgency=medium

  * Apply workaround for finding libcrypto (Closes: #1078413)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 11 Aug 2024 14:25:46 +0200

pdns (4.9.1-2) unstable; urgency=medium

  * tests: depend on default-mysql-server (Closes: #1074780)
  * Set pdns.conf permissions only at install time (Closes: #1074076)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 17 Jul 2024 07:07:36 +0200

pdns (4.9.1-1) unstable; urgency=medium

  * New upstream version 4.9.1
  * Drop upstream applied patches

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 13 Jun 2024 02:14:24 +0200

pdns (4.9.0-2) unstable; urgency=medium

  * Apply upstream patch to fix build on big-endian archs

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 11 Apr 2024 10:42:34 +0200

pdns (4.9.0-1) unstable; urgency=medium

  * New upstream version 4.9.0
  * Follow supermaster option rename in default config files

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 05 Apr 2024 14:54:01 +0200

pdns (4.8.3-4) unstable; urgency=medium

  * tests: mark tests as skippable for exit code 77 (Closes: #1059995)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 26 Feb 2024 02:41:58 +0100

=== debian/rules ===
#!/usr/bin/make -f

# Turn on all hardening flags, as we're a networked daemon.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export deb_systemdsystemunitdir = $(shell pkg-config --variable=systemdsystemunitdir systemd | sed s,^/,,)

# Vendor and version
CXXFLAGS += -DPACKAGEVERSION='"$(DEB_VERSION).$(DEB_VENDOR)"'

# Avoid test failure in docker.
export PDNS_TEST_NO_IPV6=1

# Backends
backends := bind ldap lmdb lua2 pipe gmysql godbc gpgsql gsqlite3 geoip remote tinydns

CONFIGURE_ARGS =

# Workaround for #1078413 https://github.com/PowerDNS/pdns/issues/14084
CONFIGURE_ARGS += --with-libcrypto=/usr

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f dnslabeltext.cc

override_dh_auto_configure:
	dh_auto_configure -- \
		--sysconfdir=/etc/powerdns \
		--enable-systemd --with-systemd=/$(deb_systemdsystemunitdir) \
		--with-dynmodules="$(backends)" \
		--with-modules="" \
		--enable-ixfrdist \
		--enable-tools \
		--with-protobuf \
		--enable-unit-tests \
		--enable-lua-records \
		--enable-experimental-pkcs11 \
		--enable-reproducible \
		--disable-silent-rules \
		$(CONFIGURE_ARGS)
	cat config.log
	grep 'OpenSSL ecdsa: yes' config.log

override_dh_auto_install:
	dh_auto_install
	find debian/tmp/usr/lib -name '*.la' -delete
	rm debian/tmp/etc/powerdns/ixfrdist.example.yml debian/tmp/etc/powerdns/pdns.conf-dist

override_dh_installsystemd:
	dh_installsystemd --no-start -ppdns-server --name=pdns
	dh_installsystemd --no-start -ppdns-ixfrdist --name=ixfrdist

override_dh_install:
	dh_install
	./pdns/pdns_server --no-config --config=default | sed \
	  -e 's!# module-dir=.*!!' \
	  -e 's!# include-dir=.*!&\ninclude-dir=/etc/powerdns/pdns.d!' \
	  -e 's!# launch=.*!&\nlaunch=!' \
	  -e 's!# security-poll-suffix=.*!&\nsecurity-poll-suffix=!' \
	  > debian/pdns-server/etc/powerdns/pdns.conf

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	./debian/tests-source/run
	make check || (cat pdns/test-suite.log; false)
endif

override_dh_fixperms:
	dh_fixperms
	# these files often contain passwords.
	chmod 0640 debian/pdns-server/etc/powerdns/pdns.conf

=== debian/tests/control ===
Tests: smoke-bind
Depends:
 pdns-backend-bind,
 pdns-server,
 pdns-tools
Restrictions: skippable, needs-root, isolation-container

Tests: smoke-lmdb
Depends:
 pdns-backend-lmdb,
 pdns-server,
 pdns-tools
Restrictions: skippable, needs-root, isolation-container

Tests: smoke-mysql
Depends:
 default-mysql-server,
 pdns-backend-mysql,
 pdns-server,
 pdns-tools
Restrictions: skippable, needs-root, isolation-container

Tests: smoke-mysql-sp
Depends:
 default-mysql-server,
 pdns-backend-mysql,
 pdns-server,
 pdns-tools
Restrictions: skippable, needs-root, isolation-container

Tests: smoke-pgsql
Depends:
 pdns-backend-pgsql,
 pdns-server,
 pdns-tools,
 postgresql
Restrictions: skippable, needs-root, isolation-container

Tests: supported-algos
Depends:
 pdns-server
Restrictions: isolation-container

## pdns 4.9.2

=== debian/changelog ===
pdns (4.9.2-1) unstable; urgency=medium

  * New upstream version 4.9.2

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 01 Oct 2024 19:32:11 +0200

## pdns 4.9.3

=== debian/changelog ===
pdns (4.9.3-3) unstable; urgency=medium

  * Switch Build-Depends: dnsutils (transitional) to bind9-dnsutils
    (Closes: #1094158)
  * Reformat using debputy reformat

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 25 Jan 2025 16:30:37 +0100

pdns (4.9.3-2) unstable; urgency=medium

  * Use deb-conffiles mechanism to remove old conffiles

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 19 Jan 2025 21:14:51 +0100

pdns (4.9.3-1) unstable; urgency=medium

  * New upstream version 4.9.3

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 17 Dec 2024 15:38:35 +0100

pdns (4.9.2-2) unstable; urgency=medium

  * lmdb: update commented lmdb-schema-version setting in sample config
  * Set mode 0640 for pdns.conf only in execute_after_dh_fixperms

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 13 Dec 2024 22:43:51 +0100

## pdns 4.9.4

=== debian/changelog ===
pdns (4.9.4-2) unstable; urgency=medium

  * Add upstream-pending patch to fix mysqlbackend on s390x

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 21 Mar 2025 13:09:53 +0100

pdns (4.9.4-1) unstable; urgency=medium

  * Drop upstream signing keys due to SHA1 usage
  * New upstream version 4.9.4

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 14 Feb 2025 11:06:04 +0100

=== debian/rules ===
--- 
+++ 
@@ -71,7 +71,6 @@
 	make check || (cat pdns/test-suite.log; false)
 endif
 
-override_dh_fixperms:
-	dh_fixperms
+execute_after_dh_fixperms:
 	# these files often contain passwords.
 	chmod 0640 debian/pdns-server/etc/powerdns/pdns.conf

## pdns 4.9.7

=== debian/changelog ===
pdns (4.9.7-1build2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:12:20 +0200

pdns (4.9.7-1build1) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:01:55 +0200

pdns (4.9.7-1) unstable; urgency=medium

  * New upstream version 4.9.7
  * Drop upstream-applied patch

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 07 Jul 2025 12:15:52 +0200

## pdns 5.0.0

=== modules/remotebackend/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.11
# by the following command:
#
#    pip-compile --generate-hashes requirements.in
#
pdns-remotebackend==0.8.0 \
    --hash=sha256:be65f1584fd65da57a50f3f03539450e7a0e0dba927b315bcd38e04410545b06
    # via -r requirements.in
pyzmq==25.1.2 \
    --hash=sha256:004ff469d21e86f0ef0369717351073e0e577428e514c47c8480770d5e24a565 \
    --hash=sha256:00a06faa7165634f0cac1abb27e54d7a0b3b44eb9994530b8ec73cf52e15353b \
    --hash=sha256:00c48ae2fd81e2a50c3485de1b9d5c7c57cd85dc8ec55683eac16846e57ac979 \
    --hash=sha256:01171fc48542348cd1a360a4b6c3e7d8f46cdcf53a8d40f84db6707a6768acc1 \
    --hash=sha256:019744b99da30330798bb37df33549d59d380c78e516e3bab9c9b84f87a9592f \
    --hash=sha256:02bbc1a87b76e04fd780b45e7f695471ae6de747769e540da909173d50ff8e2d \
    --hash=sha256:02c9087b109070c5ab0b383079fa1b5f797f8d43e9a66c07a4b8b8bdecfd88ee \
    --hash=sha256:07cd61a20a535524906595e09344505a9bd46f1da7a07e504b315d41cd42eb07 \
    --hash=sha256:0806175f2ae5ad4b835ecd87f5f85583316b69f17e97786f7443baaf54b9bb98 \
    --hash=sha256:09dfe949e83087da88c4a76767df04b22304a682d6154de2c572625c62ad6886 \
    --hash=sha256:0dabfb10ef897f3b7e101cacba1437bd3a5032ee667b7ead32bbcdd1a8422fe7 \
    --hash=sha256:0ddd6d71d4ef17ba5a87becf7ddf01b371eaba553c603477679ae817a8d84d75 \
    --hash=sha256:0f513130c4c361201da9bc69df25a086487250e16b5571ead521b31ff6b02220 \
    --hash=sha256:0f97bc2f1f13cb16905a5f3e1fbdf100e712d841482b2237484360f8bc4cb3d7 \
    --hash=sha256:11e70516688190e9c2db14fcf93c04192b02d457b582a1f6190b154691b4c93a \
    --hash=sha256:146b9b1f29ead41255387fb07be56dc29639262c0f7344f570eecdcd8d683314 \
    --hash=sha256:16b726c1f6c2e7625706549f9dbe9b06004dfbec30dbed4bf50cbdfc73e5b32a \
    --hash=sha256:1b3cbba2f47062b85fe0ef9de5b987612140a9ba3a9c6d2543c6dec9f7c2ab27 \
    --hash=sha256:1b9b1f2ad6498445a941d9a4fee096d387fee436e45cc660e72e768d3d8ee611 \
    --hash=sha256:1ec23bd7b3a893ae676d0e54ad47d18064e6c5ae1fadc2f195143fb27373f7f6 \
    --hash=sha256:246747b88917e4867e2367b005fc8eefbb4a54b7db363d6c92f89d69abfff4b6 \
    --hash=sha256:25c2dbb97d38b5ac9fd15586e048ec5eb1e38f3d47fe7d92167b0c77bb3584e9 \
    --hash=sha256:2c6441e0398c2baacfe5ba30c937d274cfc2dc5b55e82e3749e333aabffde561 \
    --hash=sha256:2c9a79f1d2495b167119d02be7448bfba57fad2a4207c4f68abc0bab4b92925b \
    --hash=sha256:2e2713ef44be5d52dd8b8e2023d706bf66cb22072e97fc71b168e01d25192755 \
    --hash=sha256:313c3794d650d1fccaaab2df942af9f2c01d6217c846177cfcbc693c7410839e \
    --hash=sha256:3516e0b6224cf6e43e341d56da15fd33bdc37fa0c06af4f029f7d7dfceceabbc \
    --hash=sha256:359f7f74b5d3c65dae137f33eb2bcfa7ad9ebefd1cab85c935f063f1dbb245cc \
    --hash=sha256:39b1067f13aba39d794a24761e385e2eddc26295826530a8c7b6c6c341584289 \
    --hash=sha256:3c00c9b7d1ca8165c610437ca0c92e7b5607b2f9076f4eb4b095c85d6e680a1d \
    --hash=sha256:3c53687dde4d9d473c587ae80cc328e5b102b517447456184b485587ebd18b62 \
    --hash=sha256:3e124e6b1dd3dfbeb695435dff0e383256655bb18082e094a8dd1f6293114642 \
    --hash=sha256:4345c9a27f4310afbb9c01750e9461ff33d6fb74cd2456b107525bbeebcb5be3 \
    --hash=sha256:45999e7f7ed5c390f2e87ece7f6c56bf979fb213550229e711e45ecc7d42ccb8 \
    --hash=sha256:49151b0efece79f6a79d41a461d78535356136ee70084a1c22532fc6383f4ad0 \
    --hash=sha256:4cb8fc1f8d69b411b8ec0b5f1ffbcaf14c1db95b6bccea21d83610987435f1a4 \
    --hash=sha256:4e5837af3e5aaa99a091302df5ee001149baff06ad22b722d34e30df5f0d9097 \
    --hash=sha256:4e6f689880d5ad87918430957297c975203a082d9a036cc426648fcbedae769b \
    --hash=sha256:5074adeacede5f810b7ef39607ee59d94e948b4fd954495bdb072f8c54558181 \
    --hash=sha256:518efd91c3d8ac9f9b4f7dd0e2b7b8bf1a4fe82a308009016b07eaa48681af82 \
    --hash=sha256:55875492f820d0eb3417b51d96fea549cde77893ae3790fd25491c5754ea2f68 \
    --hash=sha256:5a68d491fc20762b630e5db2191dd07ff89834086740f70e978bb2ef2668be08 \
    --hash=sha256:5dde6751e857910c1339890f3524de74007958557593b9e7e8c5f01cd919f8a7 \
    --hash=sha256:5e319ed7d6b8f5fad9b76daa0a68497bc6f129858ad956331a5835785761e003 \
    --hash=sha256:5edac3f57c7ddaacdb4d40f6ef2f9e299471fc38d112f4bc6d60ab9365445fb0 \
    --hash=sha256:6cc0020b74b2e410287e5942e1e10886ff81ac77789eb20bec13f7ae681f0fdd \
    --hash=sha256:6dd0d50bbf9dca1d0bdea219ae6b40f713a3fb477c06ca3714f208fd69e16fd8 \
    --hash=sha256:7598d2ba821caa37a0f9d54c25164a4fa351ce019d64d0b44b45540950458840 \
    --hash=sha256:759cfd391a0996345ba94b6a5110fca9c557ad4166d86a6e81ea526c376a01e8 \
    --hash=sha256:7ae8f354b895cbd85212da245f1a5ad8159e7840e37d78b476bb4f4c3f32a9fe \
    --hash=sha256:7b6d09a8962a91151f0976008eb7b29b433a560fde056ec7a3db9ec8f1075438 \
    --hash=sha256:7c61e346ac34b74028ede1c6b4bcecf649d69b707b3ff9dc0fab453821b04d1e \
    --hash=sha256:7f51a7b4ead28d3fca8dda53216314a553b0f7a91ee8fc46a72b402a78c3e43d \
    --hash=sha256:82544e0e2d0c1811482d37eef297020a040c32e0687c1f6fc23a75b75db8062c \
    --hash=sha256:8807c87fa893527ae8a524c15fc505d9950d5e856f03dae5921b5e9aa3b8783b \
    --hash=sha256:889370d5174a741a62566c003ee8ddba4b04c3f09a97b8000092b7ca83ec9c49 \
    --hash=sha256:8b14c75979ce932c53b79976a395cb2a8cd3aaf14aef75e8c2cb55a330b9b49d \
    --hash=sha256:8c5f80e578427d4695adac6fdf4370c14a2feafdc8cb35549c219b90652536ae \
    --hash=sha256:8e9f3fabc445d0ce320ea2c59a75fe3ea591fdbdeebec5db6de530dd4b09412e \
    --hash=sha256:93f1aa311e8bb912e34f004cf186407a4e90eec4f0ecc0efd26056bf7eda0226 \
    --hash=sha256:94504ff66f278ab4b7e03e4cba7e7e400cb73bfa9d3d71f58d8972a8dc67e7a6 \
    --hash=sha256:967668420f36878a3c9ecb5ab33c9d0ff8d054f9c0233d995a6d25b0e95e1b6b \
    --hash=sha256:9880078f683466b7f567b8624bfc16cad65077be046b6e8abb53bed4eeb82dd3 \
    --hash=sha256:99a6b36f95c98839ad98f8c553d8507644c880cf1e0a57fe5e3a3f3969040882 \
    --hash=sha256:9a18fff090441a40ffda8a7f4f18f03dc56ae73f148f1832e109f9bffa85df15 \
    --hash=sha256:9add2e5b33d2cd765ad96d5eb734a5e795a0755f7fc49aa04f76d7ddda73fd70 \
    --hash=sha256:a793ac733e3d895d96f865f1806f160696422554e46d30105807fdc9841b9f7d \
    --hash=sha256:a86c2dd76ef71a773e70551a07318b8e52379f58dafa7ae1e0a4be78efd1ff16 \
    --hash=sha256:a8c1d566344aee826b74e472e16edae0a02e2a044f14f7c24e123002dcff1c05 \
    --hash=sha256:ac170e9e048b40c605358667aca3d94e98f604a18c44bdb4c102e67070f3ac9b \
    --hash=sha256:b264bf2cc96b5bc43ce0e852be995e400376bd87ceb363822e2cb1964fcdc737 \
    --hash=sha256:b8c8a419dfb02e91b453615c69568442e897aaf77561ee0064d789705ff37a92 \
    --hash=sha256:bc69c96735ab501419c432110016329bf0dea8898ce16fab97c6d9106dc0b348 \
    --hash=sha256:bef02cfcbded83473bdd86dd8d3729cd82b2e569b75844fb4ea08fee3c26ae41 \
    --hash=sha256:c0b5ca88a8928147b7b1e2dfa09f3b6c256bc1135a1338536cbc9ea13d3b7add \
    --hash=sha256:cc69949484171cc961e6ecd4a8911b9ce7a0d1f738fcae717177c231bf77437b \
    --hash=sha256:ced111c2e81506abd1dc142e6cd7b68dd53747b3b7ae5edbea4578c5eeff96b7 \
    --hash=sha256:d1299d7e964c13607efd148ca1f07dcbf27c3ab9e125d1d0ae1d580a1682399d \
    --hash=sha256:d1b604734bec94f05f81b360a272fc824334267426ae9905ff32dc2be433ab96 \
    --hash=sha256:d9a5f194cf730f2b24d6af1f833c14c10f41023da46a7f736f48b6d35061e76e \
    --hash=sha256:db36c27baed588a5a8346b971477b718fdc66cf5b80cbfbd914b4d6d355e44e2 \
    --hash=sha256:df0c7a16ebb94452d2909b9a7b3337940e9a87a824c4fc1c7c36bb4404cb0cde \
    --hash=sha256:e10a4b5a4b1192d74853cc71a5e9fd022594573926c2a3a4802020360aa719d8 \
    --hash=sha256:e624c789359f1a16f83f35e2c705d07663ff2b4d4479bad35621178d8f0f6ea4 \
    --hash=sha256:e690145a8c0c273c28d3b89d6fb32c45e0d9605b2293c10e650265bf5c11cfec \
    --hash=sha256:ea1608dd169da230a0ad602d5b1ebd39807ac96cae1845c3ceed39af08a5c6df \
    --hash=sha256:ea253b368eb41116011add00f8d5726762320b1bda892f744c91997b65754d73 \
    --hash=sha256:eb7e49a17fb8c77d3119d41a4523e432eb0c6932187c37deb6fbb00cc3028088 \
    --hash=sha256:ef12e259e7bc317c7597d4f6ef59b97b913e162d83b421dd0db3d6410f17a244 \
    --hash=sha256:f8429b17cbb746c3e043cb986328da023657e79d5ed258b711c06a70c2ea7537 \
    --hash=sha256:fa99973d2ed20417744fca0073390ad65ce225b546febb0580358e36aa90dba6 \
    --hash=sha256:faf79a302f834d9e8304fafdc11d0d042266667ac45209afa57e5efc998e3872 \
    --hash=sha256:fc31baa0c32a2ca660784d5af3b9487e13b61b3032cb01a115fce6588e1bed30
    # via -r requirements.in
wheel==0.45.1 \
    --hash=sha256:661e1abd9198507b1409a20c02106d9670b2576e916d58f520316666abca6729 \
    --hash=sha256:708e7481cc80179af0e556bbf0cc00b8444c7321e2700b8d8580231d13017248
    # via -r requirements.in

=== debian/changelog ===
pdns (5.0.0-2) unstable; urgency=medium

  * Drop conffile removal from before pdns 4.3.0-1 (Closes: #1108933)
  * d/copyright: Replace FSF address with link

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 26 Aug 2025 19:46:59 +0200

pdns (5.0.0-1) unstable; urgency=medium

  * New upstream version 5.0.0

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 23 Aug 2025 12:43:32 +0200

=== debian/control ===
Source: pdns
Section: net
Priority: optional
Standards-Version: 4.5.1
Maintainer: pdns packagers <pdns@packages.debian.org>
Uploaders:
 Chris Hofstaedtler <zeha@debian.org>,
 Marc Haber <mh+debian-packages@zugschlus.de>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit,
 bind9-dnsutils,
 bison,
 curl,
 default-libmysqlclient-dev,
 flex,
 libboost-all-dev,
 libcdb-dev,
 libcurl4-openssl-dev,
 libgeoip-dev,
 libkrb5-dev,
 libldap2-dev,
 liblmdb-dev,
 libluajit-5.1-dev (>= 2.1.0~beta3+dfsg-5.3) [amd64 arm64] | libluajit-5.1-dev [amd64] | liblua5.3-dev,
 libmaxminddb-dev,
 libp11-kit-dev,
 libpq-dev,
 libprotobuf-dev,
 libsodium-dev,
 libsqlite3-dev,
 libssl-dev,
 libsystemd-dev,
 libyaml-cpp-dev (>= 0.5),
 pkgconf,
 po-debconf,
 protobuf-compiler,
 ragel,
 systemd,
 systemd-dev,
 unixodbc-dev (>= 2.3.1),
Vcs-Git: https://salsa.debian.org/debian/pdns.git
Vcs-Browser: https://salsa.debian.org/debian/pdns
Homepage: https://www.powerdns.com/
Rules-Requires-Root: no
X-Style: black

Package: pdns-server
Architecture: any
Depends:
 adduser,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 pdns-backend-bind,
Suggests:
 pdns-backend,
Description: extremely powerful and versatile nameserver
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This is the authoritative nameserver that answers questions about
 domains that it knows about. You also need at least one backend installed to
 serve data.

Package: pdns-tools
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Tools for DNS debugging by PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains several tools to debug DNS issues. These tools do not
 require any part of the PowerDNS server components to work.
 .
   * calidns: Resolver benchmark tool
   * dnsbulktest: A resolver stress-tester
   * dnsgram: Show per 5-second statistics to study intermittent resolver issues
   * dnspcap2calidns: PCAP conversion tool (calidns format)
   * dnspcap2protobuf: PCAP conversion tool (protobuf format)
   * dnsreplay: Replay a pcap with DNS queries
   * dnsscan: Prints the query-type amounts in a pcap
   * dnsscope: Calculates statistics without replaying traffic
   * dnstcpbench: Perform TCP benchmarking of DNS servers
   * dnswasher: Clean a pcap of identifying IP information
   * dumresp: Dummy DNS responder
   * ixplore: Explore diffs from IXFRs
   * nproxy: DNS notification proxy
   * nsec3dig: Calculate the correctness of NSEC3 proofs
   * pdns_notify: Simple tool for sending DNS notifies
   * saxfr: AXFR zones and show extra information
   * sdig: dig-like tool supporting DoH, DoT, PROXY-protocol and XPF
   * stubquery: Stub resolver query tool

Package: pdns-ixfrdist
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Redistribute DNS zones over AXFR/IXFR
 Transfers zones from an authoritative DNS server and serves them
 over AXFR and IXFR, caching multiple versions as needed on disk.
 This tool does not require any part of the PowerDNS server
 components to work.

Package: pdns-backend-bind
Architecture: any
Depends:
 pdns-server (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 pdns-backend,
Description: BIND backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains the bind backend for the PowerDNS nameserver.
 Zone data will be read from flat BIND-style zone files, and the list
 of zones needs to be given in a named.conf-style file.

Package: pdns-backend-pipe
Architecture: any
Depends:
 pdns-server (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 pdns-backend,
Description: pipe/coprocess backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains the pipe backend for the PowerDNS nameserver. This
 allows PowerDNS to retrieve domain info from a process that accepts
 questions on stdin and returns answers on stdout.

Package: pdns-backend-ldap
Architecture: any
Depends:
 pdns-server (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 pdns-backend,
Description: LDAP backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains the LDAP backend for the PowerDNS nameserver.

Package: pdns-backend-lmdb
Architecture: any
Depends:
 pdns-server (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 pdns-backend,
Description: LMDB backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains the LMDB backend for the PowerDNS nameserver.

Package: pdns-backend-lua2
Architecture: any
Depends:
 pdns-server (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 pdns-backend,
Description: Lua2 backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains the Lua2 backend for the PowerDNS nameserver.

Package: pdns-backend-geoip
Architecture: any
Depends:
 pdns-server (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 pdns-backend,
Description: GeoIP backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains the GeoIP backend for the PowerDNS nameserver. This
 backend balances the load throughout the world so that people access the
 geographically nearest available server based on a zonefile written in
 YAML.

Package: pdns-backend-mysql
Architecture: any
Depends:
 pdns-server (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 default-mysql-server,
Provides:
 pdns-backend,
Description: MySQL backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains the MySQL backend for the PowerDNS
 nameserver. It has configurable SQL statements.

Package: pdns-backend-odbc
Architecture: any
Depends:
 pdns-server (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 pdns-backend,
Description: UnixODBC backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains a UnixODBC backend for the PowerDNS
 nameserver. It has configurable SQL statements.

Package: pdns-backend-pgsql
Architecture: any
Depends:
 pdns-server (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 postgresql,
Provides:
 pdns-backend,
Description: PostgreSQL backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains the PostgreSQL backend for the PowerDNS
 nameserver. It has configurable SQL statements.

Package: pdns-backend-sqlite3
Architecture: any
Depends:
 pdns-server (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 pdns-backend,
Description: sqlite 3 backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains the SQLite 3 backend for the PowerDNS
 nameserver.

Package: pdns-backend-remote
Architecture: any
Depends:
 pdns-server (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 pdns-backend,
Description: remote backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains the remote backend for PowerDNS. It is suitable
 for serving data acquired from an AF_UNIX, pipe, or HTTP connector.

Package: pdns-backend-tinydns
Architecture: any
Depends:
 pdns-server (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 pdns-backend,
Description: tinydns compatibility backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains the tinydns compatibility backend for the PowerDNS
 nameserver.

## pdns 5.0.1

=== meson/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.11
# by the following command:
#
#    pip-compile --generate-hashes requirements.in
#
certifi==2025.1.31 \
    --hash=sha256:3d5da6925056f6f18f119200434a4780a94263f10d1c21d032a6f6b2baa20651 \
    --hash=sha256:ca78db4565a652026a4db2bcdf68f2fb589ea80d0be70e03929ed730746b84fe
    # via requests
charset-normalizer==3.4.1 \
    --hash=sha256:0167ddc8ab6508fe81860a57dd472b2ef4060e8d378f0cc555707126830f2537 \
    --hash=sha256:01732659ba9b5b873fc117534143e4feefecf3b2078b0a6a2e925271bb6f4cfa \
    --hash=sha256:01ad647cdd609225c5350561d084b42ddf732f4eeefe6e678765636791e78b9a \
    --hash=sha256:04432ad9479fa40ec0f387795ddad4437a2b50417c69fa275e212933519ff294 \
    --hash=sha256:0907f11d019260cdc3f94fbdb23ff9125f6b5d1039b76003b5b0ac9d6a6c9d5b \
    --hash=sha256:0924e81d3d5e70f8126529951dac65c1010cdf117bb75eb02dd12339b57749dd \
    --hash=sha256:09b26ae6b1abf0d27570633b2b078a2a20419c99d66fb2823173d73f188ce601 \
    --hash=sha256:09b5e6733cbd160dcc09589227187e242a30a49ca5cefa5a7edd3f9d19ed53fd \
    --hash=sha256:0af291f4fe114be0280cdd29d533696a77b5b49cfde5467176ecab32353395c4 \
    --hash=sha256:0f55e69f030f7163dffe9fd0752b32f070566451afe180f99dbeeb81f511ad8d \
    --hash=sha256:1a2bc9f351a75ef49d664206d51f8e5ede9da246602dc2d2726837620ea034b2 \
    --hash=sha256:22e14b5d70560b8dd51ec22863f370d1e595ac3d024cb8ad7d308b4cd95f8313 \
    --hash=sha256:234ac59ea147c59ee4da87a0c0f098e9c8d169f4dc2a159ef720f1a61bbe27cd \
    --hash=sha256:2369eea1ee4a7610a860d88f268eb39b95cb588acd7235e02fd5a5601773d4fa \
    --hash=sha256:237bdbe6159cff53b4f24f397d43c6336c6b0b42affbe857970cefbb620911c8 \
    --hash=sha256:28bf57629c75e810b6ae989f03c0828d64d6b26a5e205535585f96093e405ed1 \
    --hash=sha256:2967f74ad52c3b98de4c3b32e1a44e32975e008a9cd2a8cc8966d6a5218c5cb2 \
    --hash=sha256:2a75d49014d118e4198bcee5ee0a6f25856b29b12dbf7cd012791f8a6cc5c496 \
    --hash=sha256:2bdfe3ac2e1bbe5b59a1a63721eb3b95fc9b6817ae4a46debbb4e11f6232428d \
    --hash=sha256:2d074908e1aecee37a7635990b2c6d504cd4766c7bc9fc86d63f9c09af3fa11b \
    --hash=sha256:2fb9bd477fdea8684f78791a6de97a953c51831ee2981f8e4f583ff3b9d9687e \
    --hash=sha256:311f30128d7d333eebd7896965bfcfbd0065f1716ec92bd5638d7748eb6f936a \
    --hash=sha256:329ce159e82018d646c7ac45b01a430369d526569ec08516081727a20e9e4af4 \
    --hash=sha256:345b0426edd4e18138d6528aed636de7a9ed169b4aaf9d61a8c19e39d26838ca \
    --hash=sha256:363e2f92b0f0174b2f8238240a1a30142e3db7b957a5dd5689b0e75fb717cc78 \
    --hash=sha256:3a3bd0dcd373514dcec91c411ddb9632c0d7d92aed7093b8c3bbb6d69ca74408 \
    --hash=sha256:3bed14e9c89dcb10e8f3a29f9ccac4955aebe93c71ae803af79265c9ca5644c5 \
    --hash=sha256:44251f18cd68a75b56585dd00dae26183e102cd5e0f9f1466e6df5da2ed64ea3 \
    --hash=sha256:44ecbf16649486d4aebafeaa7ec4c9fed8b88101f4dd612dcaf65d5e815f837f \
    --hash=sha256:4532bff1b8421fd0a320463030c7520f56a79c9024a4e88f01c537316019005a \
    --hash=sha256:49402233c892a461407c512a19435d1ce275543138294f7ef013f0b63d5d3765 \
    --hash=sha256:4c0907b1928a36d5a998d72d64d8eaa7244989f7aaaf947500d3a800c83a3fd6 \
    --hash=sha256:4d86f7aff21ee58f26dcf5ae81a9addbd914115cdebcbb2217e4f0ed8982e146 \
    --hash=sha256:5777ee0881f9499ed0f71cc82cf873d9a0ca8af166dfa0af8ec4e675b7df48e6 \
    --hash=sha256:5df196eb874dae23dcfb968c83d4f8fdccb333330fe1fc278ac5ceeb101003a9 \
    --hash=sha256:619a609aa74ae43d90ed2e89bdd784765de0a25ca761b93e196d938b8fd1dbbd \
    --hash=sha256:6e27f48bcd0957c6d4cb9d6fa6b61d192d0b13d5ef563e5f2ae35feafc0d179c \
    --hash=sha256:6ff8a4a60c227ad87030d76e99cd1698345d4491638dfa6673027c48b3cd395f \
    --hash=sha256:73d94b58ec7fecbc7366247d3b0b10a21681004153238750bb67bd9012414545 \
    --hash=sha256:7461baadb4dc00fd9e0acbe254e3d7d2112e7f92ced2adc96e54ef6501c5f176 \
    --hash=sha256:75832c08354f595c760a804588b9357d34ec00ba1c940c15e31e96d902093770 \
    --hash=sha256:7709f51f5f7c853f0fb938bcd3bc59cdfdc5203635ffd18bf354f6967ea0f824 \
    --hash=sha256:78baa6d91634dfb69ec52a463534bc0df05dbd546209b79a3880a34487f4b84f \
    --hash=sha256:7974a0b5ecd505609e3b19742b60cee7aa2aa2fb3151bc917e6e2646d7667dcf \
    --hash=sha256:7a4f97a081603d2050bfaffdefa5b02a9ec823f8348a572e39032caa8404a487 \
    --hash=sha256:7b1bef6280950ee6c177b326508f86cad7ad4dff12454483b51d8b7d673a2c5d \
    --hash=sha256:7d053096f67cd1241601111b698f5cad775f97ab25d81567d3f59219b5f1adbd \
    --hash=sha256:804a4d582ba6e5b747c625bf1255e6b1507465494a40a2130978bda7b932c90b \
    --hash=sha256:807f52c1f798eef6cf26beb819eeb8819b1622ddfeef9d0977a8502d4db6d534 \
    --hash=sha256:80ed5e856eb7f30115aaf94e4a08114ccc8813e6ed1b5efa74f9f82e8509858f \
    --hash=sha256:8417cb1f36cc0bc7eaba8ccb0e04d55f0ee52df06df3ad55259b9a323555fc8b \
    --hash=sha256:8436c508b408b82d87dc5f62496973a1805cd46727c34440b0d29d8a2f50a6c9 \
    --hash=sha256:89149166622f4db9b4b6a449256291dc87a99ee53151c74cbd82a53c8c2f6ccd \
    --hash=sha256:8bfa33f4f2672964266e940dd22a195989ba31669bd84629f05fab3ef4e2d125 \
    --hash=sha256:8c60ca7339acd497a55b0ea5d506b2a2612afb2826560416f6894e8b5770d4a9 \
    --hash=sha256:91b36a978b5ae0ee86c394f5a54d6ef44db1de0815eb43de826d41d21e4af3de \
    --hash=sha256:955f8851919303c92343d2f66165294848d57e9bba6cf6e3625485a70a038d11 \
    --hash=sha256:97f68b8d6831127e4787ad15e6757232e14e12060bec17091b85eb1486b91d8d \
    --hash=sha256:9b23ca7ef998bc739bf6ffc077c2116917eabcc901f88da1b9856b210ef63f35 \
    --hash=sha256:9f0b8b1c6d84c8034a44893aba5e767bf9c7a211e313a9605d9c617d7083829f \
    --hash=sha256:aabfa34badd18f1da5ec1bc2715cadc8dca465868a4e73a0173466b688f29dda \
    --hash=sha256:ab36c8eb7e454e34e60eb55ca5d241a5d18b2c6244f6827a30e451c42410b5f7 \
    --hash=sha256:b010a7a4fd316c3c484d482922d13044979e78d1861f0e0650423144c616a46a \
    --hash=sha256:b1ac5992a838106edb89654e0aebfc24f5848ae2547d22c2c3f66454daa11971 \
    --hash=sha256:b7b2d86dd06bfc2ade3312a83a5c364c7ec2e3498f8734282c6c3d4b07b346b8 \
    --hash=sha256:b97e690a2118911e39b4042088092771b4ae3fc3aa86518f84b8cf6888dbdb41 \
    --hash=sha256:bc2722592d8998c870fa4e290c2eec2c1569b87fe58618e67d38b4665dfa680d \
    --hash=sha256:c0429126cf75e16c4f0ad00ee0eae4242dc652290f940152ca8c75c3a4b6ee8f \
    --hash=sha256:c30197aa96e8eed02200a83fba2657b4c3acd0f0aa4bdc9f6c1af8e8962e0757 \
    --hash=sha256:c4c3e6da02df6fa1410a7680bd3f63d4f710232d3139089536310d027950696a \
    --hash=sha256:c75cb2a3e389853835e84a2d8fb2b81a10645b503eca9bcb98df6b5a43eb8886 \
    --hash=sha256:c96836c97b1238e9c9e3fe90844c947d5afbf4f4c92762679acfe19927d81d77 \
    --hash=sha256:d7f50a1f8c450f3925cb367d011448c39239bb3eb4117c36a6d354794de4ce76 \
    --hash=sha256:d973f03c0cb71c5ed99037b870f2be986c3c05e63622c017ea9816881d2dd247 \
    --hash=sha256:d98b1668f06378c6dbefec3b92299716b931cd4e6061f3c875a71ced1780ab85 \
    --hash=sha256:d9c3cdf5390dcd29aa8056d13e8e99526cda0305acc038b96b30352aff5ff2bb \
    --hash=sha256:dad3e487649f498dd991eeb901125411559b22e8d7ab25d3aeb1af367df5efd7 \
    --hash=sha256:dccbe65bd2f7f7ec22c4ff99ed56faa1e9f785482b9bbd7c717e26fd723a1d1e \
    --hash=sha256:dd78cfcda14a1ef52584dbb008f7ac81c1328c0f58184bf9a84c49c605002da6 \
    --hash=sha256:e218488cd232553829be0664c2292d3af2eeeb94b32bea483cf79ac6a694e037 \
    --hash=sha256:e358e64305fe12299a08e08978f51fc21fac060dcfcddd95453eabe5b93ed0e1 \
    --hash=sha256:ea0d8d539afa5eb2728aa1932a988a9a7af94f18582ffae4bc10b3fbdad0626e \
    --hash=sha256:eab677309cdb30d047996b36d34caeda1dc91149e4fdca0b1a039b3f79d9a807 \
    --hash=sha256:eb8178fe3dba6450a3e024e95ac49ed3400e506fd4e9e5c32d30adda88cbd407 \
    --hash=sha256:ecddf25bee22fe4fe3737a399d0d177d72bc22be6913acfab364b40bce1ba83c \
    --hash=sha256:eea6ee1db730b3483adf394ea72f808b6e18cf3cb6454b4d86e04fa8c4327a12 \
    --hash=sha256:f08ff5e948271dc7e18a35641d2f11a4cd8dfd5634f55228b691e62b37125eb3 \
    --hash=sha256:f30bf9fd9be89ecb2360c7d94a711f00c09b976258846efe40db3d05828e8089 \
    --hash=sha256:fa88b843d6e211393a37219e6a1c1df99d35e8fd90446f1118f4216e307e48cd \
    --hash=sha256:fc54db6c8593ef7d4b2a331b58653356cf04f67c960f584edb7c3d8c97e8f39e \
    --hash=sha256:fd4ec41f914fa74ad1b8304bbc634b3de73d2a0889bd32076342a573e0779e00 \
    --hash=sha256:ffc9202a29ab3920fa812879e95a9e78b2465fd10be7fcbd042899695d75e616
    # via requests
idna==3.10 \
    --hash=sha256:12f65c9b470abda6dc35cf8e63cc574b1c52b11df2c86030af0ac09b01b13ea9 \
    --hash=sha256:946d195a0d259cbba61165e88e65941f16e9b36ea6ddb97f00452bae8b1287d3
    # via requests
invoke==2.2.0 \
    --hash=sha256:6ea924cc53d4f78e3d98bc436b08069a03077e6f85ad1ddaa8a116d7dad15820 \
    --hash=sha256:ee6cbb101af1a859c7fe84f2a264c059020b0cb7fe3535f9424300ab568f6bd5
    # via -r requirements.in
meson==1.7.0 \
    --hash=sha256:08efbe84803eed07f863b05092d653a9d348f7038761d900412fddf56deb0284 \
    --hash=sha256:ae3f12953045f3c7c60e27f2af1ad862f14dee125b4ed9bcb8a842a5080dbf85
    # via -r requirements.in
ninja==1.11.1.3 \
    --hash=sha256:04d48d14ea7ba11951c156599ab526bdda575450797ff57c6fdf99b2554d09c7 \
    --hash=sha256:114ed5c61c8474df6a69ab89097a20749b769e2c219a452cb2fadc49b0d581b0 \
    --hash=sha256:17978ad611d8ead578d83637f5ae80c2261b033db0b493a7ce94f88623f29e1b \
    --hash=sha256:1ad2112c2b0159ed7c4ae3731595191b1546ba62316fc40808edecd0306fefa3 \
    --hash=sha256:2883ea46b3c5079074f56820f9989c6261fcc6fd873d914ee49010ecf283c3b2 \
    --hash=sha256:28aea3c1c280cba95b8608d50797169f3a34280e3e9a6379b6e340f0c9eaeeb0 \
    --hash=sha256:2b4879ea3f1169f3d855182c57dcc84d1b5048628c8b7be0d702b81882a37237 \
    --hash=sha256:53409151da081f3c198bb0bfc220a7f4e821e022c5b7d29719adda892ddb31bb \
    --hash=sha256:56ada5d33b8741d298836644042faddebc83ee669782d661e21563034beb5aba \
    --hash=sha256:7fa2247fce98f683bc712562d82b22b8a0a5c000738a13147ca2d1b68c122298 \
    --hash=sha256:8c4bdb9fd2d0c06501ae15abfd23407660e95659e384acd36e013b6dd7d8a8e4 \
    --hash=sha256:a27e78ca71316c8654965ee94b286a98c83877bfebe2607db96897bbfe458af0 \
    --hash=sha256:a38c6c6c8032bed68b70c3b065d944c35e9f903342875d3a3218c1607987077c \
    --hash=sha256:a4a3b71490557e18c010cbb26bd1ea9a0c32ee67e8f105e9731515b6e0af792e \
    --hash=sha256:b6966f83064a88a51693073eea3decd47e08c3965241e09578ef7aa3a7738329 \
    --hash=sha256:bc3ebc8b2e47716149f3541742b5cd8e0b08f51013b825c05baca3e34854370d \
    --hash=sha256:edfa0d2e9d7ead1635b03e40a32ad56cc8f56798b6e2e9848d8300b174897076
    # via -r requirements.in
pyyaml==6.0.1 \
    --hash=sha256:04ac92ad1925b2cff1db0cfebffb6ffc43457495c9b3c39d3fcae417d7125dc5 \
    --hash=sha256:062582fca9fabdd2c8b54a3ef1c978d786e0f6b3a1510e0ac93ef59e0ddae2bc \
    --hash=sha256:0d3304d8c0adc42be59c5f8a4d9e3d7379e6955ad754aa9d6ab7a398b59dd1df \
    --hash=sha256:1635fd110e8d85d55237ab316b5b011de701ea0f29d07611174a1b42f1444741 \
    --hash=sha256:184c5108a2aca3c5b3d3bf9395d50893a7ab82a38004c8f61c258d4428e80206 \
    --hash=sha256:18aeb1bf9a78867dc38b259769503436b7c72f7a1f1f4c93ff9a17de54319b27 \
    --hash=sha256:1d4c7e777c441b20e32f52bd377e0c409713e8bb1386e1099c2415f26e479595 \
    --hash=sha256:1e2722cc9fbb45d9b87631ac70924c11d3a401b2d7f410cc0e3bbf249f2dca62 \
    --hash=sha256:1fe35611261b29bd1de0070f0b2f47cb6ff71fa6595c077e42bd0c419fa27b98 \
    --hash=sha256:28c119d996beec18c05208a8bd78cbe4007878c6dd15091efb73a30e90539696 \
    --hash=sha256:326c013efe8048858a6d312ddd31d56e468118ad4cdeda36c719bf5bb6192290 \
    --hash=sha256:40df9b996c2b73138957fe23a16a4f0ba614f4c0efce1e9406a184b6d07fa3a9 \
    --hash=sha256:42f8152b8dbc4fe7d96729ec2b99c7097d656dc1213a3229ca5383f973a5ed6d \
    --hash=sha256:49a183be227561de579b4a36efbb21b3eab9651dd81b1858589f796549873dd6 \
    --hash=sha256:4fb147e7a67ef577a588a0e2c17b6db51dda102c71de36f8549b6816a96e1867 \
    --hash=sha256:50550eb667afee136e9a77d6dc71ae76a44df8b3e51e41b77f6de2932bfe0f47 \
    --hash=sha256:510c9deebc5c0225e8c96813043e62b680ba2f9c50a08d3724c7f28a747d1486 \
    --hash=sha256:5773183b6446b2c99bb77e77595dd486303b4faab2b086e7b17bc6bef28865f6 \
    --hash=sha256:596106435fa6ad000c2991a98fa58eeb8656ef2325d7e158344fb33864ed87e3 \

=== meson_options.txt/meson_options.txt ===
option('lua', type: 'combo', choices: ['auto', 'luajit', 'lua', 'lua51', 'lua-5.1', 'lua5.1', 'lua52', 'lua-5.2', 'lua5.2', 'lua53', 'lua-5.3', 'lua5.3', 'lua54', 'lua-5.4', 'lua5.4'], value: 'auto', description: 'Lua implementation to use')
option('hardening', type: 'feature', value: 'auto', description: 'Compiler security checks')
option('hardening-experimental-cf', type: 'combo', choices: ['disabled', 'full', 'branch', 'return', 'check'], value: 'disabled', description: 'Control Flow hardening')
option('hardening-experimental-scp', type: 'feature', value: 'disabled', description: 'Stack Clash Protection')
option('hardening-fortify-source', type: 'combo', choices: ['auto', 'disabled', '1', '2', '3'], value: '2', description: 'Source fortification level')
option('rng-kiss', type: 'boolean', value: false, description: 'Use the unsafe KISS RNG')
option('signers-libsodium', type: 'feature', value: 'auto', description: 'Enable libsodium-based signers')
option('signers-libcrypto', type: 'feature', value: 'auto', description: 'Enable OpenSSL libcrypto-based signers)')
option('signers-libcrypto-path', type: 'string', value: '', description: 'Custom path to find OpenSSL libcrypto')
option('tls-libssl', type: 'feature', value: 'auto', description: 'OpenSSL-based TLS')
option('tls-libssl-dir', type: 'string', value: '', description: 'Alternate OpenSSL location')
option('tls-gnutls', type: 'feature', value: 'auto', description: 'GnuTLS-based TLS')
option('dns-over-tls', type: 'feature', value: 'auto', description: 'DNS over TLS (requires GnuTLS or OpenSSL)')
option('ipcipher', type: 'feature', value: 'auto', description: 'IPcipher (requires libcrypto)')
option('unit-tests', type: 'boolean', value: false, description: 'Build and run unit tests')
option('unit-tests-backends', type: 'boolean', value: false, description: 'Build and run backend unit tests')
option('reproducible', type: 'boolean', value: false, description: 'Reproducible builds (for distro maintainers, makes debugging difficult)')
option('fuzz-targets', type: 'boolean', value: false, description: 'Enable fuzzing targets')
option('fuzzer_ldflags', type: 'string', value: '', description: 'Linker flags used for the fuzzing targets (a path to the libFuzzer static library, for example)')
option('verbose-logging', type: 'boolean', value: false, description: 'Enable verbose logging')
option('experimental-pkcs11', type: 'feature', value: 'disabled', description: 'PKCS11 support')
option('experimental-gss-tsig', type: 'feature', value: 'disabled', description: 'GSS-TSIG support')
option('socket-dir', type: 'string', value: '/var/run', description: 'Where the control socket lives')
option('module-bind', type: 'combo', choices: ['disabled', 'static', 'dynamic'], value: 'static', description: 'Bind backend')
option('module-pipe', type: 'combo', choices: ['disabled', 'static', 'dynamic'], value: 'dynamic', description: 'Pipe backend')
option('module-gmysql', type: 'combo', choices: ['disabled', 'static', 'dynamic'], value: 'disabled', description: 'Generic MySQL backend')
option('module-godbc', type: 'combo', choices: ['disabled', 'static', 'dynamic'], value: 'disabled', description: 'Generic ODBC backend')
option('module-gpgsql', type: 'combo', choices: ['disabled', 'static', 'dynamic'], value: 'disabled', description: 'Generic PostgreSQL backend')
option('module-gsqlite3', type: 'combo', choices: ['disabled', 'static', 'dynamic'], value: 'disabled', description: 'Generic SQLite3 backend')
option('module-ldap', type: 'combo', choices: ['disabled', 'static', 'dynamic'], value: 'disabled', description: 'LDAP backend')
option('module-remote', type: 'combo', choices: ['disabled', 'static', 'dynamic'], value: 'disabled', description: 'Remote backend')
option('module-remote-zeromq', type: 'boolean', value: false, description: 'Use ZeroMQ in the Remote backend')
option('module-tinydns', type: 'combo', choices: ['disabled', 'static', 'dynamic'], value: 'disabled', description: 'TinyDNS backend')
option('module-geoip', type: 'combo', choices: ['disabled', 'static', 'dynamic'], value: 'disabled', description: 'GeoIP backend')
option('module-lmdb', type: 'combo', choices: ['disabled', 'static', 'dynamic'], value: 'disabled', description: 'LMDB backend')
option('module-lua2', type: 'combo', choices: ['disabled', 'static', 'dynamic'], value: 'disabled', description: 'Lua2 backend')
option('tools', type: 'boolean', value: false, description: 'Build extra tools')
option('tools-ixfrdist', type: 'boolean', value: false, description: 'Build ixfrdist')
option('lua-records', type: 'boolean', value: true, description: 'Support Lua records')
option('systemd-service', type: 'feature', value: 'auto', description: 'Systemd integration (requires libsystemd)')
option('systemd-service-user', type: 'string', value: 'pdns', description: 'Systemd service user (setuid and unit file; user is not created)')
option('systemd-service-group', type: 'string', value: 'pdns', description: 'Systemd service group (setgid and unit file; group is not created)')
option('auto-var-init', type: 'combo', value: 'disabled', choices: ['zero', 'pattern', 'disabled'], description: 'Enable initialization of automatic variables')
option('malloc-trace', type: 'boolean', value: false, description: 'Enable malloc-trace')
option('clang-coverage-format', type: 'boolean', value: false, description: 'Whether to generate coverage data in clang format')

=== debian/changelog ===
pdns (5.0.1-1) unstable; urgency=medium

  [ наб ]
  * Allow builds on x32 (Closes: #1050600)

  [ Chris Hofstaedtler ]
  * New upstream version 5.0.1

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 30 Oct 2025 14:56:33 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Marc Haber <mh+debian-packages@zugschlus.de>,
 Build-Depends:
  debhelper-compat (= 13),
- architecture-is-64-bit,
+ architecture-is-64-bit [!x32],
  bind9-dnsutils,
  bison,
  curl,

=== debian/tests/control ===
Tests:
 smoke-bind,
Depends:
 pdns-backend-bind,
 pdns-server,
 pdns-tools,
Restrictions:
 isolation-container,
 needs-root,
 skippable,

Tests:
 smoke-lmdb,
Depends:
 pdns-backend-lmdb,
 pdns-server,
 pdns-tools,
Restrictions:
 isolation-container,
 needs-root,
 skippable,

Tests:
 smoke-mysql,
Depends:
 default-mysql-server,
 pdns-backend-mysql,
 pdns-server,
 pdns-tools,
Restrictions:
 isolation-container,
 needs-root,
 skippable,

Tests:
 smoke-mysql-sp,
Depends:
 default-mysql-server,
 pdns-backend-mysql,
 pdns-server,
 pdns-tools,
Restrictions:
 isolation-container,
 needs-root,
 skippable,

Tests:
 smoke-pgsql,
Depends:
 pdns-backend-pgsql,
 pdns-server,
 pdns-tools,
 postgresql,
Restrictions:
 isolation-container,
 needs-root,
 skippable,

Tests:
 supported-algos,
Depends:
 pdns-server,
Restrictions:
 isolation-container,

=== debian/watch ===
# Site		Directory		Pattern			Version	Script
version=3
opts="versionmangle=s/-(alpha|beta|rc)/~$1/" https://downloads.powerdns.com/releases/	pdns-(\d+.*)\.tar\.bz2	debian	uupdate

## pdns 5.0.2

=== debian/changelog ===
pdns (5.0.2-1) unstable; urgency=medium

  * New upstream version 5.0.2
  * Remove obsolete workaround for OpenSSL detection bug #1078413

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 11 Dec 2025 18:54:05 +0100

=== debian/rules ===
--- 
+++ 
@@ -16,11 +16,6 @@
 
 # Backends
 backends := bind ldap lmdb lua2 pipe gmysql godbc gpgsql gsqlite3 geoip remote tinydns
-
-CONFIGURE_ARGS =
-
-# Workaround for #1078413 https://github.com/PowerDNS/pdns/issues/14084
-CONFIGURE_ARGS += --with-libcrypto=/usr
 
 %:
 	dh $@
@@ -42,8 +37,7 @@
 		--enable-lua-records \
 		--enable-experimental-pkcs11 \
 		--enable-reproducible \
-		--disable-silent-rules \
-		$(CONFIGURE_ARGS)
+		--disable-silent-rules
 	cat config.log
 	grep 'OpenSSL ecdsa: yes' config.log

## pdns 5.0.3

=== meson/requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # This file is autogenerated by pip-compile with Python 3.11
 # by the following command:
 #
-#    pip-compile --generate-hashes requirements.in
+#    pip-compile --allow-unsafe --generate-hashes requirements.in
 #
 certifi==2025.1.31 \
     --hash=sha256:3d5da6925056f6f18f119200434a4780a94263f10d1c21d032a6f6b2baa20651 \

=== modules/remotebackend/requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # This file is autogenerated by pip-compile with Python 3.11
 # by the following command:
 #
-#    pip-compile --generate-hashes requirements.in
+#    pip-compile --allow-unsafe --generate-hashes requirements.in
 #
 pdns-remotebackend==0.8.0 \
     --hash=sha256:be65f1584fd65da57a50f3f03539450e7a0e0dba927b315bcd38e04410545b06
@@ -106,3 +106,9 @@
     --hash=sha256:661e1abd9198507b1409a20c02106d9670b2576e916d58f520316666abca6729 \
     --hash=sha256:708e7481cc80179af0e556bbf0cc00b8444c7321e2700b8d8580231d13017248
     # via -r requirements.in
+
+# The following packages are considered to be unsafe in a requirements file:
+setuptools==81.0.0 \
+    --hash=sha256:487b53915f52501f0a79ccfd0c02c165ffe06631443a886740b91af4b7a5845a \
+    --hash=sha256:fdd925d5c5d9f62e4b74b30d6dd7828ce236fd6ed998a08d81de62ce5a6310d6
+    # via -r requirements.in

=== debian/changelog ===
pdns (5.0.3-1) unstable; urgency=medium

  * New upstream version 5.0.3

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 20 Feb 2026 17:11:37 +0100
